For the complete documentation index, see llms.txt. This page is also available as Markdown.

LLM API Keys

Get all enabled LLM services

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of enabled services

application/json
LLMService[]Optional
get/api/v2/api/llm/services
GET /api/v2/api/llm/services HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of enabled services

[]

Get models for a specific service

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
serviceIdstringRequired
Responses
200

List of models for the service

application/json
LLMModel[]Optional
get/api/v2/api/llm/models/{serviceId}
GET /api/v2/api/llm/models/{serviceId} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]

Update model for an API key

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
modelIdnumberRequired

The id of a LLM model

Example: 3
Responses
200

Model updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/api/llm/{id}/model
PUT /api/v2/api/llm/{id}/model HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "modelId": "3"
}
{
  "message": "Success"
}

Get all LLM API keys for user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's API keys

application/json
LLMApiKey[]Optional
get/api/v2/api/llm
GET /api/v2/api/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's API keys

[]

Create a new LLM API key

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the API key max 255 characters

Example: My API Key
serviceIdnumberRequired

The id of a LLM service

Example: 1
modelIdnumberRequired

The id of a LLM model

Example: 5
apiKeystringRequiredExample: 745c547aSBp89bs450fb1dfacf86af8ed32
Responses
201

API key created successfully

application/json
messagestringOptionalExample: Success
post/api/v2/api/llm
POST /api/v2/api/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "name": "My API Key",
  "serviceId": "1",
  "modelId": "5",
  "apiKey": "745c547aSBp89bs450fb1dfacf86af8ed32"
}
{
  "message": "Success"
}

Delete an LLM API key

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

API key deleted successfully

application/json
stringOptionalExample: Deleted
delete/api/v2/api/llm/{id}
DELETE /api/v2/api/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Deleted

Last updated